spot 2.3.4

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | List of all members
spot::ec_statistics Class Reference
TωA (Transition-based ω-Automata) » TωA algorithms » Emptiness-checks » Emptiness-check statistics

Emptiness-check statistics. More...

`#include <spot/twaalgos/emptiness_stats.hh>`

Inheritance diagram for spot::ec_statistics:
Collaboration diagram for spot::ec_statistics:

## Public Types
typedef unsigned(unsigned_statistics::* | unsigned_fun )() const
typedef std::map< const char *, unsigned_fun, char_ptr_less_than > | stats_map

## Public Member Functions
void | set_states (unsigned n)
void | inc_states ()
void | inc_transitions ()
void | inc_depth (unsigned n=1)
void | dec_depth (unsigned n=1)
unsigned | states () const
unsigned | transitions () const
unsigned | max_depth () const
unsigned | depth () const
unsigned | get (const char *str) const

## Public Attributes
stats_map | stats

## Detailed Description

Emptiness-check statistics.

Implementations of spot::emptiness_check may also implement this interface. Try to dynamic_cast the spot::emptiness_check pointer to know whether these statistics are available.

The documentation for this class was generated from the following file:

- spot/twaalgos/emptiness_stats.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.